> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Business

> Getting your Business Enquiry Credit Report with Flick 



## OpenAPI

````yaml /openapi/financial-data.json post /bureau/business-report
openapi: 3.0.2
info:
  title: Flick Financial Data API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Account LookUp
    description: Getting Accounts from Banks
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Credit Report
    description: Getting Credit Report of Bank
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /bureau/business-report:
    post:
      tags:
        - Credit Report
      summary: Business
      description: 'Getting your Business Enquiry Credit Report with Flick '
      operationId: initializing   Business Enquiry Credit   report
      requestBody:
        description: Getting your Flick  Commercial Enquiry Credit  report
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Commercial'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommercialEnquiryResponse'
        '400':
          description: Error loggin in, please check your login details and try again
        '403':
          description: Unauthroized Access
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Commercial:
      required:
        - reportType
        - business_number
        - bureau
      type: object
      properties:
        reportType:
          type: string
          enum:
            - basic
            - advance
          example: basic
        creditBureau:
          type: string
          enum:
            - CRC
          example: credit_registry
        business_number:
          type: string
          example: RC10033442
    CommercialEnquiryResponse:
      type: object
      properties:
        enquiryResult:
          type: array
          items:
            type: object
            properties:
              SubjectList:
                type: array
                items:
                  type: object
                  properties:
                    ConsumerID:
                      type: string
                      example: '00112233'
                    SearchOutput:
                      type: string
                      example: Amos, Testi, , College Road Abaro Aladje
                    Reference:
                      type: string
                      example: '00112233'
              BusinessData:
                type: array
                items:
                  type: object
                  properties:
                    ConsumerID:
                      type: string
                      example: '00112233'
                    BusinessName:
                      type: string
                      example: 'Bussiness Name '
                    ReferenceNo:
                      type: string
                      example: 'null'
                    TradingName:
                      type: string
                      example: 'null'
                    IndustrySector:
                      type: string
                      example: ''
                    PreviousBusinessName:
                      type: string
                      example: ''
                    BusinessRegistrationNumber:
                      type: string
                      example: ''
                    PreviousRegistrationNumber:
                      type: string
                      example: 'null'
                    NoOfDirectors:
                      type: string
                      example: '0'
                    BusinessType:
                      type: string
                      example: ''
                    DateOfIncorporation:
                      type: string
                      example: 26/01/1977
                    DateOfCommencement:
                      type: string
                      example: 'null'
                    TaxIdentificationNumber:
                      type: string
                      example: ''
                    VatNumber:
                      type: string
                      example: 'null'
                    Webaddress:
                      type: string
                      example: 'null'
                    CommercialEmail1:
                      type: string
                      example: 'null'
                    CommercialAddress1:
                      type: string
                      example: 'KEHINDE STREET RIVER BANK ESTATE '
                    PostalAddress1:
                      type: string
                      example: 'null'
                    PostalAddress2:
                      type: string
                      example: 'null'
                    PostalAddress3:
                      type: string
                      example: 'null'
                    PostalAddress4:
                      type: string
                      example: 'null'
                    Telephone1:
                      type: string
                      example: 'null'
                    Fax1:
                      type: string
                      example: 'null'
                    UpdatedOn:
                      type: string
                      example: 26/02/2023
              DirectorInformation:
                type: array
                items:
                  type: object
                  properties:
                    Directorid:
                      type: string
                      example: 'null'
                    DateofBirth:
                      type: string
                      example: 'null'
                    firstName:
                      type: string
                      example: 'null'
                    othernames:
                      type: string
                      example: 'null'
                    surname:
                      type: string
                      example: 'null'
                    Identificationnumber:
                      type: string
                      example: 'null'
                    DirectorAppointmentdate:
                      type: string
                      example: 'null'
              HighestDelinquencyRating:
                type: array
                items:
                  type: object
                  properties:
                    HighestDelinquencyRating:
                      type: string
                      example: '1'
              FacilityPerformanceSummary:
                type: array
                items:
                  type: object
                  properties:
                    TotalMonthlyInstalment:
                      type: string
                      example: '0.00'
                    TotalOutstandingdebt:
                      type: string
                      example: 14,877.00
                    TotalAccountarrear:
                      type: string
                      example: '1.00'
                    TotalAccounts:
                      type: string
                      example: '1'
                    TotalAccounts1:
                      type: string
                      example: ' 0'
                    Amountarrear:
                      type: string
                      example: 14,877.00
                    TotalaccountinGoodcondition:
                      type: string
                      example: '1'
                    TotalaccountinBadcondition:
                      type: string
                      example: '0'
                    TotalNumberofJudgement:
                      type: string
                      example: '1'
                    TotalJudgementAmount:
                      type: string
                      example: '1'
                    LastJudgementDate:
                      type: string
                      example: ''
                    TotalNumberofDishonoured:
                      type: string
                      example: '1'
                    TotalDishonouredAmount:
                      type: string
                      example: '0.00'
                    LastBouncedChequesDate:
                      type: string
                      example: 'null'
                    TotalMonthlyInstalment1:
                      type: string
                      example: '0.00'
                    TotalOutstandingdebt1:
                      type: string
                      example: '0.00'
                    TotalAccountarrear1:
                      type: string
                      example: '0.00'
                    Amountarrear1:
                      type: string
                      example: '0.00'
                    TotalaccountinGoodcondition1:
                      type: string
                      example: '0'
                    TotalaccountinBadcondition1:
                      type: string
                      example: '0'
                    TotalNumberofJudgement1:
                      type: string
                      example: '0'
                    TotalJudgementAmount1:
                      type: string
                      example: '0'
                    LastJudgementDate1:
                      type: string
                      example: ''
                    TotalNumberofDishonoured1:
                      type: string
                      example: '0'
                    TotalDishonouredAmount1:
                      type: string
                      example: '0.00'
                    LastBouncedChequesDate1:
                      type: string
                      example: 'null'
                    TotalNumberofAccounts:
                      type: string
                      example: '1'
                    LastDishonouredChequeDate:
                      type: string
                      example: '0'
                    Rating:
                      type: string
                      example: '1'
              CreditAgreementSummary:
                type: array
                items:
                  type: object
                  properties:
                    DateAccountOpened:
                      type: string
                      example: 06/01/2022
                    SubscriberName:
                      type: string
                      example: First City Monument Bank Ltd Lagos
                    AccountNo:
                      type: string
                      example: '8650457017'
                    IndicatorDescription:
                      type: string
                      example: PERSONAL CREDIT CARD LOAN
                    OpeningBalanceAmt:
                      type: string
                      example: '0.00'
                    Currency:
                      type: string
                      example: NGN
                    CurrentBalanceDebitInd:
                      type: string
                      example: ''
                    CurrentBalanceAmt:
                      type: string
                      example: 14,877.16
                    InstalmentAmount:
                      type: string
                      example: 'null'
                    AmountOverdue:
                      type: string
                      example: 14,877.16
                    ClosedDate:
                      type: string
                      example: 30/12/2022
                    LastUpdatedDate:
                      type: string
                      example: 10/12/2022
                    PerformanceStatus:
                      type: string
                      example: PERFORMING
                    AccountStatus:
                      type: string
                      example: OPEN
              AccountMonthlyPaymentHistoryHeader:
                type: array
                items:
                  type: object
                  properties:
                    TableName:
                      type: string
                      example: Commercial24MonthlyPaymentHeader
                    DisplayText:
                      type: string
                      example: Commercial 24 Monthly Payment Header
                    MatchingRate:
                      type: string
                      example: Company
                    MH06:
                      type: string
                      example: JUN 2023
                    MH05:
                      type: string
                      example: JUL 2023
                    MH04:
                      type: string
                      example: AUG 2023
                    MH03:
                      type: string
                      example: SEP 2023
                    MH02:
                      type: string
                      example: OCT 2023
                    MH01:
                      type: string
                      example: NOV 2023
              AccountMonthlyPaymentHistory:
                type: array
                items:
                  type: object
                  properties:
                    Header:
                      type: string
                      example: >-
                        Details of Credit Agreement with "First City Monument
                        Bank Ltd Lagos" for Account Number: 8650457017
                    TableName:
                      type: string
                      example: Commercial24MonthlyPaymentHeader
                    DisplayText:
                      type: string
                      example: Commercial 24 Monthly Payment Header
                    AccountOpenedDate:
                      type: string
                      example: Jan  6 2022 12:00AM
                    SubscriberName:
                      type: string
                      example: First City Monument Bank Ltd Lagos
                    AccountNo:
                      type: string
                      example: '8650457017'
                    Currency:
                      type: string
                      example: NGN
                    CurrentBalanceDebitInd:
                      type: string
                      example: ''
                    DateAccountOpened:
                      type: string
                      example: 06/01/2022
                    IndicatorDescription:
                      type: string
                      example: PERSONAL CREDIT CARD LOAN
                    OpeningBalanceAmt:
                      type: string
                      example: '0.00'
                    CurrentBalanceAmt:
                      type: string
                      example: 14,877.16
                    MonthlyInstalmentAmt:
                      type: string
                      example: 'null'
                    AmountOverdue:
                      type: string
                      example: 14,877.16
                    ClosedDate:
                      type: string
                      example: 06/01/2022
                    LastUpdatedDate:
                      type: string
                      example: 06/01/2022
                    LastPaymentDate:
                      type: string
                      example: 06/01/2022
                    PerformanceStatus:
                      type: string
                      example: PERFORMING
                    SubscriberTypeInd:
                      type: string
                      example: C
                    AccountNote:
                      type: string
                      example: ''
                    LoanDuration:
                      type: string
                      example: 0 Day(s)
                    RepaymentFrequencyCode:
                      type: string
                      example: Not Available
                    AccountStatus:
                      type: string
                      example: OPEN
                    MH06:
                      type: string
                      example: JUN 2023
                    MH05:
                      type: string
                      example: JUL 2023
                    MH04:
                      type: string
                      example: AUG 2023
                    MH03:
                      type: string
                      example: SEP 2023
                    MH02:
                      type: string
                      example: OCT 2023
                    MH01:
                      type: string
                      example: NOV 2023
              AddressHistory:
                type: array
                items:
                  type: object
                  properties:
                    UpDateOnDate:
                      type: string
                      example: 26/02/2023
                    CommercialAddressType:
                      type: string
                      example: L
                    CommercialAddress1:
                      type: string
                      example: 2 LASISI KEHINDE STREET RIVER BANK ESTATE ISH
                    CommercialAddress2:
                      type: string
                      example: ''
                    CommercialAddres3:
                      type: string
                      example: ''
                    CommercialAddress4:
                      type: string
                      example: ''
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.